#include<iostream>
#include<string>
#include<assert.h>

#include "rose.h"
#include "risc.h"

using namespace SageBuilder;
using namespace SageInterface;

int main (int argc, char* argv[] )
{
  std::cout << std::endl
            << "START PROCESSING FILE: " __FILE__
            << " ..."
            << std::endl;

  SgProject* sagaProject = frontend(argc, argv);
  AstTests::runAllTests(sagaProject);

  std::cout << risc::tools::find_class_definition
               ("Testbench","::", isSgProject(sagaProject))
            << std::endl;


  // this should be 1
  // that means that the search was successful
  assert(risc::tools::
      find_class_definition("Testbench","::", isSgProject(sagaProject)));

  std::cout << "END PROCESSING FILE: " __FILE__
            << " ..."
            << std::endl
            << std::endl;
  return 0;
}

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
