#include "systemc.h"

class Nested: public sc_module {
public:
//  int x, y, z;
//  sc_event e;
  bool test;

  SC_HAS_PROCESS(Nested);

  void nested_for_loop_1()
  {
    wait();
    int aa;

    for(int ii = 0; ii < 10; ii++)
    {
      int bb;
      wait();
      int cc;

      for(int jj = 0; jj < 10; jj++)
      {
        int ff;
        wait();
        int gg;
      }
    }
    int dd;
    wait();
    int ee;
  }


  void nested_while_loop_1()
  {
    wait();
    int aa;

    int ii = 0;
    int jj = 0;
    while(ii < 10)
    {
      int bb;
      wait();
      int cc;

      while(jj < 10)
      {
        int ff;
        wait();
        int gg;
        jj++;
      }
      ii++;
    }
    int dd;
    wait();
    int ee;
  }

  void nested_do_while_loop_1()
  {
    wait();
    int aa;

    int ii = 0;
    int jj = 0;
    do
    {
      int bb;
      wait();
      int cc;

      do
      {
        int ff;
        wait();
        int gg;
        jj++;
      } while(jj < 10);
      ii++;
    } while(ii < 10);
    int dd;
    wait();
    int ee;
  }

  void for_loop_in_if_1()
  {
    wait();
    int aa = 1;

    if(aa == 0)
    {
      for(int ii = 0; ii < 10; ii++)
      {
        int bb;
        wait();
        int cc;
      }
    }
    int dd;
    wait();
    int ee;
  }

  void while_loop_in_if_1()
  {
    wait();
    int aa = 1;

    if(aa == 0)
    {
      int ii = 0;
      while(ii < 10)
      {
        int bb;
        wait();
        int cc;
        ii++;
      }
    }
    int dd;
    wait();
    int ee;
  }

  void do_while_loop_in_if_1()
  {
    wait();
    int aa = 1;

    if(aa == 0)
    {
      int ii = 0;
      do
      {
        int bb;
        wait();
        int cc;
        ii++;
      } while(ii < 10);
    }
    int dd;
    wait();
    int ee;
  }

  void if_in_for_loop_1()
  {
    wait();
    int aa = 1;

    for(int ii = 0; ii < 10; ii++)
    {
      int bb;
      wait();
      int cc;
      if(aa == 0)
      {
        wait();
        int dd;
      }
    }
    int ee;
    wait();
    int ff;
  }

  void if_in_while_loop_1()
  {
    wait();
    int aa = 1;

    int ii = 0;
    while(ii < 10)
    {
      int bb;
      wait();
      int cc;
      if(aa == 0)
      {
        wait();
        int dd;
      }
      ii++;
    }

    int ee;
    wait();
    int ff;
  }

  void if_in_do_while_loop_1()
  {
    wait();
    int aa = 1;

    int ii = 0;
    do
    {
      int bb;
      wait();
      int cc;
      if(aa == 0)
      {
        wait();
        int dd;
      }
      ii++;
    } while(ii < 10);
    int ee;
    wait();
    int ff;
  }

  void nested_for_loop_with_continue_1()
  {
    wait();
    int aa = 0;
    for(int ii = 0; ii < 10; ii++)
    {
      int bb;
      wait();
      if(aa == 0)
        continue;
      int cc;

      for(int jj = 0; jj < 10; jj++)
      {
        int dd;
        wait();
        int ee;
        continue;
        int ff;
      }
    }
    int gg;
    wait();
    int hh;
  }

  void nested_for_loop_with_break_1()
  {
    wait();
    int aa = 0;
    for(int ii = 0; ii < 10; ii++)
    {
      int bb;
      wait();
      if(aa == 0)
        break;
      int cc;

      for(int jj = 0; jj < 10; jj++)
      {
        int dd;
        wait();
        int ee;
        break;
        int ff;
      }
    }
    int gg;
    wait();
    int hh;
  }

  void nested_while_loop_with_continue_1()
  {
    wait();
    int aa = 0;
    int ii = 0;
    while(ii < 10)
    {
      ii++;
      int bb;
      wait();
      if(aa == 1)
        continue;
      int cc;

      int jj = 0;
      while(jj < 10)
      {
        jj++;
        int dd;
        wait();
        int ee;
        continue;
        int ff;
      }
    }
    int gg;
    wait();
    int hh;
  }

  void nested_while_loop_with_break_1()
  {
    wait();
    int aa = 0;
    int ii = 0;
    while(ii < 10)
    {
      ii++;
      int bb;
      wait();
      if(aa == 0)
        break;
      int cc;

      int jj = 0;
      while(jj < 10)
      {
        jj++;
        int dd;
        wait();
        int ee;
        break;
        int ff;
      }
    }
    int gg;
    wait();
    int hh;
  }

  void nested_do_while_loop_with_continue_1()
  {
    wait();
    int aa = 0;
    int ii = 0;
    do
    {
      ii++;
      int bb;
      wait();
      if(aa == 1)
        continue;
      int cc;

      int jj = 0;
      do
      {
        jj++;
        int dd;
        wait();
        int ee;
        continue;
        int ff;
      } while(jj < 10);
    } while(ii < 10);
    int gg;
    wait();
    int hh;
  }

  void nested_do_while_loop_with_break_1()
  {
    wait();
    int aa = 0;
    int ii = 0;
    do
    {
      ii++;
      int bb;
      wait();
      if(aa == 1)
        break;
      int cc;

      int jj = 0;
      do
      {
        jj++;
        int dd;
        wait();
        int ee;
        break;
        int ff;
      } while(jj < 10);
    } while(ii < 10);
    int gg;
    wait();
    int hh;
  }

  void nested_for_loop_if_else_1()
  {
    wait();
    int aa = 0;
    for(int ii = 0; ii < 10; ii++)
    {
      if(aa == 1)
      {
        int bb;
        wait();
        int cc;
      }
      else
      {
        int dd;
        wait();
        int ee;
      }
      int ff;
      wait();
      int gg;
    }
    int hh;
    wait();
    int mm;
  }

  void nested_while_loop_if_else_1()
  {
    wait();
    int aa = 0;
    int ii = 0;
    while(ii < 10)
    {
      ii++;
      if(aa == 1)
      {
        int bb;
        wait();
        int cc;
      }
      else
      {
        int dd;
        wait();
        int ee;
      }
      int ff;
      wait();
      int gg;
    }
    int hh;
    wait();
    int mm;
  }

  void nested_do_while_loop_if_else_1()
  {
    wait();
    int aa = 0;
    int ii = 0;
    do
    {
      ii++;
      if(aa == 1)
      {
        int bb;
        wait();
        int cc;
      }
      else
      {
        int dd;
        wait();
        int ee;
      }
      int ff;
      wait();
      int gg;
    } while(ii < 10);
    int hh;
    wait();
    int mm;
  }


  void double_curly_brackets_break_in_for_loop_1()
  {
    wait();
    int aa;
    for(int ii = 0; ii < 10; ii++)
    {
      {{break;}}
      int bb;
      wait();
      int cc;
    }
    int dd;
    wait();
    int ee;
  }

  void double_curly_brackets_break_in_for_loop_2()
  {
    wait();
    int aa;
    for(int ii = 0; ii < 10; ii++)
    {
      int bb;
      wait();
      int cc;
      {{break;}}
    }
    int dd;
    wait();
    int ee;
  }

  void double_curly_brackets_break_in_for_loop_3()
  {
    wait();
    int aa;
    for(int ii = 0; ii < 10; ii++)
    {
      int bb;
      {{break;}}
      int cc;
      wait();
      int dd;
    }
    int ee;
    wait();
    int ff;
  }

  void double_curly_brackets_continue_in_for_loop_1()
  {
    wait();
    int aa;
    for(int ii = 0; ii < 10; ii++)
    {
      {{continue;}}
      int bb;
      wait();
      int cc;
    }
    int dd;
    wait();
    int ee;
  }

  void double_curly_brackets_continue_in_for_loop_2()
  {
    wait();
    int aa;
    for(int ii = 0; ii < 10; ii++)
    {
      int bb;
      wait();
      int cc;
      {{continue;}}
    }
    int dd;
    wait();
    int ee;
  }

  void double_curly_brackets_continue_in_for_loop_3()
  {
    wait();
    int aa;
    for(int ii = 0; ii < 10; ii++)
    {
      int bb;
      {{continue;}}
      int cc;
      wait();
      int dd;
    }
    int ee;
    wait();
    int ff;
  }



  void nested_break_in_if_else_in_for_loop_1()
  {
    wait();
    int aa = 0;
    for(int ii = 0; ii < 10; ii++)
    {
      if(aa == 1)
      {
        break;
      }
      else
      {
        break;
      }
      int bb;
    }
    int cc;
    wait();
    int dd;
  }

  void nested_break_in_if_else_in_for_loop_2()
  {
    wait();
    int aa = 0;
    for(int ii = 0; ii < 10; ii++)
    {
      if(aa == 1)
      {
        int bb;
        break;
      }
      else
      {
        int cc;
        break;
      }
      int dd;
    }
    int ee;
    wait();
    int ff;
  }

  void nested_break_in_if_else_in_for_loop_3()
  {
    wait();
    int aa = 0;
    for(int ii = 0; ii < 10; ii++)
    {
      if(aa == 1)
      {
        if(aa == 2)
        {
          break;
        }
      }
      else
      {
        break;
      }
      int bb;
    }
    int cc;
    wait();
    int dd;
  }

  void nested_break_in_if_else_in_for_loop_4()
  {
    wait();
    int aa = 0;
    for(int ii = 0; ii < 10; ii++)
    {
      if(aa == 1)
      {
        if(aa == 2)
        {
          int bb;
          wait();
          break;
        }
      }
      else
      {
        break;
      }
      int cc;
    }
    int dd;
    wait();
    int ee;
  }

  void nested_break_in_if_else_in_for_loop_5()
  {
    wait();
    int aa = 0;
    for(int ii = 0; ii < 10; ii++)
    {
      if(aa == 1)
      {
        int bb;
        break;
      }
      else
      {
        if(aa == 2)
        {
          int cc;
          wait();
          break;
        }
      }
      int dd;
    }
    int ee;
    wait();
    int ff;
  }

  void nested_break_in_if_else_in_for_loop_6()
  {
    wait();
    int aa = 0;
    for(int ii = 0; ii < 10; ii++)
    {
      if(aa == 1)
      {
        int bb;
        if(aa == 2)
        {
          int cc;
          break;
        }
        else
        {
          int dd;
          break;
        }
      }
      else
      {
        int ee;
        if(aa == 2)
        {
          int ff;
          break;
        }
        else
        {
          int gg;
          break;
        }
      }
      int hh;
    }
    int mm;
    wait();
    int nn;
  }
  void nested_break_in_if_else_in_while_loop_1()
  {
    wait();
    int aa = 0;
    int ii = 0;
    while(ii < 10)
    {
      ii++;
      if(aa == 1)
      {
        break;
      }
      else
      {
        break;
      }
      int bb;
    }
    int cc;
    wait();
    int dd;
  }

  void nested_break_in_if_else_in_while_loop_2()
  {
    wait();
    int aa = 0;
    int ii = 0;
    while(ii < 10)
    {
      ii++;
      if(aa == 1)
      {
        int bb;
        break;
      }
      else
      {
        int cc;
        break;
      }
      int dd;
    }
    int ee;
    wait();
    int ff;
  }

  void nested_break_in_if_else_in_while_loop_3()
  {
    wait();
    int aa = 0;
    int ii = 0;
    while(ii < 10)
    {
      ii++;
      if(aa == 1)
      {
        if(aa == 2)
        {
          break;
        }
      }
      else
      {
        break;
      }
      int bb;
    }
    int cc;
    wait();
    int dd;
  }

  void nested_break_in_if_else_in_while_loop_4()
  {
    wait();
    int aa = 0;
    int ii = 0;
    while(ii < 10)
    {
      ii++;
      if(aa == 1)
      {
        if(aa == 2)
        {
          int bb;
          wait();
          break;
        }
      }
      else
      {
        break;
      }
      int cc;
    }
    int dd;
    wait();
    int ee;
  }

  void nested_break_in_if_else_in_while_loop_5()
  {
    wait();
    int aa = 0;
    int ii = 0;
    while(ii < 10)
    {
      ii++;
      if(aa == 1)
      {
        int bb;
        break;
      }
      else
      {
        if(aa == 2)
        {
          int cc;
          wait();
          break;
        }
      }
      int dd;
    }
    int ee;
    wait();
    int ff;
  }

  void nested_break_in_if_else_in_while_loop_6()
  {
    wait();
    int aa = 0;
    int ii = 0;
    while(ii < 10)
    {
      ii++;
      if(aa == 1)
      {
        int bb;
        if(aa == 2)
        {
          int cc;
          break;
        }
        else
        {
          int dd;
          break;
        }
      }
      else
      {
        int ee;
        if(aa == 2)
        {
          int ff;
          break;
        }
        else
        {
          int gg;
          break;
        }
      }
      int hh;
    }
    int mm;
    wait();
    int nn;
  }
  void nested_break_in_if_else_in_do_while_loop_1()
  {
    wait();
    int aa = 0;
    int ii = 0;
    do
    {
      ii++;
      if(aa == 1)
      {
        break;
      }
      else
      {
        break;
      }
      int bb;
    } while(ii < 10);
    int cc;
    wait();
    int dd;
  }

  void nested_break_in_if_else_in_do_while_loop_2()
  {
    wait();
    int aa = 0;
    int ii = 0;
    do
    {
      ii++;
      if(aa == 1)
      {
        int bb;
        break;
      }
      else
      {
        int cc;
        break;
      }
      int dd;
    } while(ii < 10);
    int ee;
    wait();
    int ff;
  }

  void nested_break_in_if_else_in_do_while_loop_3()
  {
    wait();
    int aa = 0;
    int ii = 0;
    do
    {
      ii++;
      if(aa == 1)
      {
        if(aa == 2)
        {
          break;
        }
      }
      else
      {
        break;
      }
      int bb;
    } while(ii < 10);
    int cc;
    wait();
    int dd;
  }

  void nested_break_in_if_else_in_do_while_loop_4()
  {
    wait();
    int aa = 0;
    int ii = 0;
    do
    {
      ii++;
      if(aa == 1)
      {
        if(aa == 2)
        {
          int bb;
          wait();
          break;
        }
      }
      else
      {
        break;
      }
      int cc;
    } while(ii < 10);
    int dd;
    wait();
    int ee;
  }

  void nested_break_in_if_else_in_do_while_loop_5()
  {
    wait();
    int aa = 0;
    int ii = 0;
    do
    {
      ii++;
      if(aa == 1)
      {
        int bb;
        break;
      }
      else
      {
        if(aa == 2)
        {
          int cc;
          wait();
          break;
        }
      }
      int dd;
    } while(ii < 10);
    int ee;
    wait();
    int ff;
  }

  void nested_break_in_if_else_in_do_while_loop_6()
  {
    wait();
    int aa = 0;
    int ii = 0;
    do
    {
      ii++;
      if(aa == 1)
      {
        int bb;
        if(aa == 2)
        {
          int cc;
          break;
        }
        else
        {
          int dd;
          break;
        }
      }
      else
      {
        int ee;
        if(aa == 2)
        {
          int ff;
          break;
        }
        else
        {
          int gg;
          break;
        }
      }
      int hh;
    } while(ii < 10);
    int mm;
    wait();
    int nn;
  }

  void nested_for_loop_if_wait_break_1()
  {
    wait();
    int aa = 0;
    for(int ii = 0; ii < 10; ii++)
    {
      if(aa == 1)
      {
        int bb;
        if(aa == 2)
        {
          int cc;
          wait();
          break;
        }
        int dd;
      }
      int ee;
    }
    int ff;
    wait();
    int gg;
  }

  void nested_while_loop_if_wait_break_1()
  {
    wait();
    int aa = 0;
    int ii = 0;
    while(ii < 10)
    {
      ii++;
      if(aa == 1)
      {
        int bb;
        if(aa == 2)
        {
          int cc;
          wait();
          break;
        }
        int dd;
      }
      int ee;
    }
    int ff;
    wait();
    int gg;
  }

  void nested_do_while_loop_if_wait_break_1()
  {
    wait();
    int aa = 0;
    int ii = 0;
    do
    {
      ii++;
      if(aa == 1)
      {
        int bb;
        if(aa == 2)
        {
          int cc;
          wait();
          break;
        }
        int dd;
      }
      int ee;
    } while(ii < 10);
    int ff;
    wait();
    int gg;
  }


  Nested(sc_module_name mn): sc_module(mn)
  {
    SC_THREAD(nested_for_loop_1);
    SC_THREAD(nested_while_loop_1);
    SC_THREAD(nested_do_while_loop_1);
    SC_THREAD(for_loop_in_if_1);
    SC_THREAD(while_loop_in_if_1);
    SC_THREAD(do_while_loop_in_if_1);
    SC_THREAD(if_in_for_loop_1);
    SC_THREAD(if_in_while_loop_1);
    SC_THREAD(if_in_do_while_loop_1);
    SC_THREAD(nested_for_loop_with_break_1);
    SC_THREAD(nested_for_loop_with_continue_1);
    SC_THREAD(nested_while_loop_with_continue_1);
    SC_THREAD(nested_while_loop_with_break_1);
    SC_THREAD(nested_do_while_loop_with_continue_1);
    SC_THREAD(nested_do_while_loop_with_break_1);
    SC_THREAD(nested_for_loop_if_else_1);
    SC_THREAD(nested_while_loop_if_else_1);
    SC_THREAD(nested_do_while_loop_if_else_1);

    SC_THREAD(double_curly_brackets_break_in_for_loop_1);
    SC_THREAD(double_curly_brackets_break_in_for_loop_2);
    SC_THREAD(double_curly_brackets_break_in_for_loop_3);
    SC_THREAD(double_curly_brackets_continue_in_for_loop_1);
    SC_THREAD(double_curly_brackets_continue_in_for_loop_2);
    SC_THREAD(double_curly_brackets_continue_in_for_loop_3);

    SC_THREAD(nested_break_in_if_else_in_for_loop_1);
    SC_THREAD(nested_break_in_if_else_in_for_loop_2);
    SC_THREAD(nested_break_in_if_else_in_for_loop_3);
    SC_THREAD(nested_break_in_if_else_in_for_loop_6);
    SC_THREAD(nested_break_in_if_else_in_while_loop_1);
    SC_THREAD(nested_break_in_if_else_in_while_loop_2);
    SC_THREAD(nested_break_in_if_else_in_while_loop_3);
    SC_THREAD(nested_break_in_if_else_in_while_loop_6);
    SC_THREAD(nested_break_in_if_else_in_do_while_loop_1);
    SC_THREAD(nested_break_in_if_else_in_do_while_loop_2);
    SC_THREAD(nested_break_in_if_else_in_do_while_loop_3);
    SC_THREAD(nested_break_in_if_else_in_do_while_loop_6);

    SC_THREAD(nested_for_loop_if_wait_break_1);
    SC_THREAD(nested_while_loop_if_wait_break_1);
    SC_THREAD(nested_do_while_loop_if_wait_break_1);

    SC_THREAD(nested_break_in_if_else_in_for_loop_4);
    SC_THREAD(nested_break_in_if_else_in_for_loop_5);
    SC_THREAD(nested_break_in_if_else_in_while_loop_4);
    SC_THREAD(nested_break_in_if_else_in_while_loop_5);
    SC_THREAD(nested_break_in_if_else_in_do_while_loop_4);
    SC_THREAD(nested_break_in_if_else_in_do_while_loop_5);

    //SC_THREAD();
  }
};


#ifndef RISC_ALL_SEGMENT_TESTS
int sc_main(int argc, char **argv)
{
  Nested mm("mm");

  sc_start();
  return 0;
}
#endif

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
